Page MenuHomePhabricator

Editing TemplateData and then closing the TemplateData dialog with the X button gets stuck
Closed, ResolvedPublic

Description

To reproduce:

Observed: There is an animation with stripes in the title bar and nothing else happens. The dialog gets stuck.

Expected: The dialog is supposed to be closed. (Maybe it is also supposed to ask whether to save the the changes, but I don't remember.)

I could reproduce it also in the Hebrew Wikipedia.

This happens with any template, not just {{Daat enc}}.

I tested in Firefox 73.

If you click the X in the dialog immediately after opening it and without editing anything, then it works as expected. It only gets stuck after editing.

Event Timeline

Amire80 created this task.Jan 3 2020, 9:12 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 3 2020, 9:12 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald Transcript

There is supposed to be a confirmation dialog like this:

But what actually happens is that it gets rendered underneath the main dialog, so you get stuck.

Change 561830 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/TemplateData@master] Ensure cancel confirmation dialog is visible on top of main dialog

https://gerrit.wikimedia.org/r/561830

matmarex claimed this task.Jan 3 2020, 11:57 AM

Change 561830 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] Ensure cancel confirmation dialog is visible on top of main dialog

https://gerrit.wikimedia.org/r/561830

Ryasmeen edited projects, added Verified; removed Editing QA.Jan 10 2020, 11:15 PM
ppelberg closed this task as Resolved.Jan 21 2020, 2:02 AM